﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="RadComboBoxInGridViewVB.aspx.vb" Inherits="RadComboBoxInGridViewVB" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
     <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
        </telerik:RadScriptManager>
        <asp:GridView ID="GridView1" runat="server" DataSourceID="SqlDataSource1" AutoGenerateColumns="False"
            AllowPaging="true" OnRowDataBound="GridView1_RowDataBound" 
            DataKeyNames="ProductID">
            <Columns>
                <asp:TemplateField HeaderText="Product">
                    <ItemTemplate>
                        <%# Eval("ProductID") %>
                        <%# Eval("ProductName") %>
                    </ItemTemplate>
                    <EditItemTemplate>
                        <%# Eval("ProductID") %>
                        <asp:TextBox ID="txtProductName" runat="server" Text='<%# Bind("ProductName") %>'
                            ReadOnly="true"></asp:TextBox>
                    </EditItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Category">
                    <ItemTemplate>
                        <%# Eval("CategoryName") %>
                    </ItemTemplate>
                    <EditItemTemplate>
                        <telerik:RadComboBox ID="RadComboBox1" runat="server" DataTextField="CategoryName"
                            OnSelectedIndexChanged="SelectedIndexChanged" DataValueField="CategoryID" AutoPostBack="true"
                            EnableLoadOnDemand="true" OnItemsRequested="RadComboBox1_ItemsRequested">
                        </telerik:RadComboBox>
                    </EditItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="ProductName">
                    <ItemTemplate>
                        <%# Eval("UnitPrice") %>
                    </ItemTemplate>
                    <EditItemTemplate>
                        <asp:TextBox ID="txtUnitPrice" runat="server" Text='<%# Bind("UnitPrice") %>'></asp:TextBox>
                    </EditItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField>
                    <ItemTemplate>
                        <asp:LinkButton runat="server" Text="Edit" CommandName="Edit" ID="Linkbutton3" />
                    </ItemTemplate>
                    <EditItemTemplate>
                        <asp:LinkButton runat="server" Text="Update" CommandName="Update" ID="Linkbutton1" />
                        <asp:LinkButton runat="server" Text="Cancel" CommandName="Cancel" ID="Linkbutton2" />
                    </EditItemTemplate>
                </asp:TemplateField>
            </Columns>
        </asp:GridView>
        <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:Northwind %>"
            SelectCommand="SELECT  P.ProductID,  P.ProductName, P.CategoryID, P.UnitPrice, C.CategoryName FROM Categories C INNER JOIN Products P  ON C.CategoryID = P.CategoryID ORDER BY  P.ProductID ASC "
            DeleteCommand="DELETE FROM [Products] WHERE [ProductID] = @ProductID" InsertCommand="INSERT INTO [Products] ([ProductName], [CategoryID], [UnitPrice]) VALUES (@ProductName, @CategoryID, @UnitPrice)"
            UpdateCommand="UPDATE [Products] SET [ProductName] = @ProductName, [CategoryID] = @CategoryID, [UnitPrice] = @UnitPrice WHERE [ProductID] = @ProductID">
            <UpdateParameters>
                <asp:ControlParameter ControlID="GridView1" Name="ProductID" PropertyName="SelectedDataKey.Values['ProductID']"
                    Type="String" />
                <asp:ControlParameter ControlID="GridView1" Name="ProductName" PropertyName="SelectedDataKey.Values['ProductName']"
                    Type="String" />
                <asp:ControlParameter ControlID="GridView1" Name="UnitPrice" PropertyName="SelectedDataKey.Values['UnitPrice']"
                    Type="String" />
                <asp:SessionParameter Name="CategoryID"  SessionField="CategoryID" />
            </UpdateParameters>
        </asp:SqlDataSource>
    </div>
    </form>
</body>
</html>
